[Devel] debian check_openser_config improvement
Juha Heinanen
jh at tutpro.com
Tue Dec 19 16:21:03 CET 2006
dan,
only empty lines come out if i do as you suggested:
out=$($DAEMON -c > /dev/null 2>&1)
retcode=$?
set -e
if [ "$retcode" != '0' ]; then
echo "Not starting $DESC: invalid configuration file!"
echo -e "\n$out\n"
exit 1
fi
-- juha
I added this in the initial debian openser.init, but for some
reason, the openser debian maintainer decided to take it out. However,
the error buffer is still accumulated, so all you have to do to regain
this behavior is to add a line to print it out. Just add a line with:
echo -e "\n$out\n"
after the echo "Not starting $DESC: invalid configuration file!" line.
More information about the Devel
mailing list